%define name hx
%define version 0.7.14
%define release 1mdk

Summary:   HotlineX (hx) client
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source:    %{name}-%{version}.tar.bz2
URL:       http://krazynet.com/hx/
Copyright: GPL
Group:     Communications
BuildRoot: /var/tmp/%{name}-buildroot
Packager: Frank Meurer <meurer@gmx.de>

%description
HotlineX (hx) is an implementation of the Hotline protocol for
un*x based systems.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --prefix=/usr
make

%install
install -m755 -d $RPM_BUILD_ROOT/usr/{bin,man/man1}
install -m 755 hx $RPM_BUILD_ROOT/usr/bin/
install -m 644 hx.1 $RPM_BUILD_ROOT/usr/man/man1/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES FAQ README
/usr/bin/*
/usr/man/man1/*

%changelog
* Tue Apr 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7.14-1mdk
- used srpm provided by Frank Meurer <meurer@gmx.de>

* Mon Mar 27 2000 Frank Meurer <meurer@gmx.de>
- last release of hx (v.0.7.14), successor is hxd  

* Thu Feb 24 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build

* Fri Jun 12 1998 Arne Coucheron <arneco@online.no>
- first release, 0.7.9-1
